$flexVariables: (flex-start, flex-end, center, space-between, space-around, initial, inherit)

@each $val in $flexVariables
  .is-justify-content-#{$val}
    justify-content: $val
  .is-justify-items-#{$val}
    justify-items: $val
  .is-justify-self-#{$val}
    justify-self: $val

  .is-align-content-#{$val}
    align-content: $val
  .is-align-items-#{$val}
    align-items: $val
  .is-align-self-#{$val}
    align-self: $val

  @for $i from 1 through 8
    .is-flex-#{$i}
        flex: $i
    .is-flex-1-#{$i}-auto
        flex: $i
    .is-flex-#{$i}-1-auto
        flex: $i

  @for $i from 1 through 8
    .is-flex-break-#{$i}
        > div
          flex-basis: (100 / $i) * 1%


.is-flex-column
  display: flex
  flex-direction: column
  min-height: 100vh

.is-flex-column-reverse
  display: flex
  flex-direction: column-reverse
  min-height: 100vh

.is-flex-row
  display: flex
  flex-direction: row

.is-flex-row-reverse
  display: flex
  flex-direction: row-reverse

.is-flex-wrap
  flex-wrap: wrap